* {
	margin: 0;
	padding: 0;
	font-family: sans-serif;
}

body {
	display: flex;
	justify-content: center;
	align-items: center;

	min-height: 100vh;

	background: #131313;
}
.container {
	position: relative;
}
.container .card {
	position: relative;

	width: 320px;
	height: 450px;

	background: #232323;

	border-radius: 20px;

	overflow: hidden;
}
.container .card::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;

	width: 100%;
	height: 100%;

	background: chartreuse;

	clip-path: circle(150px at 80% 20%);

	transition: 0.5s ease-in-out;
}
.container .card:hover::before {
	clip-path: circle(300px at 80% -20%);
}
.container .card::after {
	content: "Nike";

	position: absolute;
	top: 30%;
	left: -20%;

	font-style: italic;
	font-size: 12em;
	font-weight: 800;

	color: rgba(255, 255, 255, 0.04);
}
.container .card .imgBx {
	position: absolute;
	top: 50%;

	transform: translateY(-50%);

	height: 220px;
	width: 100%;

	z-index: 1000;

	transition: 0.5s;
}
.container .card:hover .imgBx {
	top: 0;
	transform: translateY(0);
}
.container .card .imgBx img {
	position: absolute;
	top: 50%;
	left: 50%;

	transform: translate(-50%, -50%) rotate(-25deg) scaleX(-1);

	width: 270px;
}

.container .card .contentBx {
	position: absolute;
	bottom: 0;

	width: 100%;
	height: 100px;

	text-align: center;

	z-index: 10;

	transition: 1s;
}
.container .card:hover .contentBx {
	height: 210px;
}
.container .card .contentBx h2 {
	position: relative;

	color: #fff;

	font-weight: 600;

	letter-spacing: 1px;
}
.container .card .contentBx .size,
.container .card .contentBx .color {
	display: flex;
	justify-content: center;
	align-items: center;

	transition: 0.5s;

	padding: 8px 20px;

	opacity: 0;
	visibility: hidden;
}

.container .card:hover .contentBx .size {
	opacity: 1;
	visibility: visible;

	transition-delay: 0.6s;
}
.container .card:hover .contentBx .color {
	opacity: 1;
	visibility: visible;

	transition-delay: 0.6s;
}
.container .card .contentBx .color h3,
.container .card .contentBx .size h3 {
	color: #fff;

	font-weight: 300;
	font-size: 14px;

	letter-spacing: 2px;

	margin-top: 10px;

	text-transform: uppercase;
}
.container .card .contentBx .size span {
	text-align: center;

	width: 26px;
	height: 26px;

	line-height: 26px;

	display: inline-block;

	color: #111;
	background-color: #fff;

	margin: 0 5px;

	transition: 0.5s;

	cursor: pointer;

	border-radius: 5px;
}
.container .card .contentBx .size span:hover {
	background: #9bdc28;
}
.container .card .contentBx .color span {
	width: 20px;
	height: 20px;
	margin: 0 5px;
	border-radius: 50%;

	cursor: pointer;

	background: #fff;
}
.container .card .contentBx .color span:nth-child(2) {
	background: #9bdc28;
}
.container .card .contentBx .color span:nth-child(3) {
	background: #03a9f4;
}
.container .card .contentBx .color span:nth-child(4) {
	background: #e91e63;
}
.container .card .contentBx a {
	display: inline-block;

	padding: 10px 20px;

	background: #fff;

	border-radius: 6px;

	margin-top: 10px;

	text-decoration: none;

	font-weight: 600;

	opacity: 0;

	color: #111;

	transform: translateY(50px);
	transition: 0.75s;
}

.container .card:hover .contentBx a {
	opacity: 1;

	transition-delay: 0.75s;
	transform: translateY(0px);
}
